---
updatedAt: 2026-09-02T08:40:36.000Z
agentTools:
  projectIndex: https://developer.weedmaps.com/v2024.01/llms.txt
---

# /2024-01/partners/menu_items/{id}

Delete a menu item

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Weedmaps Menu API",
    "description": "<p>The Weedmaps Menu API provides, among other things:</p>\n<ul>\n  <li>Authentication, authorization, and federated identity services.</li>\n  <li>User profile management of addresses, phone numbers, and favorites.</li>\n  <li>User-generated content, such as reviews, pictures, and social posts.</li>\n  <li>Management APIs for brands, listings, and their products and menu items.</li>\n</ul>\n",
    "termsOfService": "https://developer.weedmaps.com/menu/docs/terms-conditions",
    "contact": {
      "name": "Weedmaps",
      "url": "https://developer.weedmaps.com/menu/docs/contact-us"
    },
    "version": "2024-01"
  },
  "servers": [
    {
      "url": "https://api-g.weedmaps.com/wm"
    }
  ],
  "tags": [
    {
      "name": "Menu Items",
      "description": "Operations about Menu Items"
    }
  ],
  "paths": {
    "/2024-01/partners/menu_items/{id}": {
      "delete": {
        "tags": [
          "Menu Items"
        ],
        "description": "Delete a menu item",
        "operationId": "delete202401PartnersMenuItemsId",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "A valid bearer token for the client or user accessing the API. Format: \"Bearer TOKEN_VALUE\"",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Delete a menu item",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/Core_V202401_Entities_Partners_MenuItem"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Core_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Failed authorization, or IP is banned",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Core_Errors_Forbidden"
                }
              }
            }
          },
          "422": {
            "description": "Invalid parameters or failed validation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Core_Errors_UnprocessableEntities"
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": [
              "menu_items"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Core_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "format": "int32",
            "example": 401
          },
          "title": {
            "type": "string",
            "example": "Unauthorized"
          },
          "detail": {
            "type": "string",
            "example": "The access token is missing or invalid."
          },
          "meta": {
            "type": "object",
            "properties": {},
            "description": "Non-standard meta information about this error."
          }
        },
        "description": "Core_Errors_Unauthorized model"
      },
      "Core_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "format": "int32",
            "example": 403
          },
          "title": {
            "type": "string",
            "example": "Forbidden"
          },
          "detail": {
            "type": "string",
            "example": "You are not authorized to perform that action."
          },
          "meta": {
            "type": "object",
            "properties": {},
            "description": "Non-standard meta information about this error."
          }
        },
        "description": "Core_Errors_Forbidden model"
      },
      "Core_Errors_UnprocessableEntities": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Core_Errors_UnprocessableEntity"
            }
          }
        },
        "description": "Core_Errors_UnprocessableEntities model"
      },
      "Core_Errors_UnprocessableEntity": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "format": "int32",
            "example": 422
          },
          "title": {
            "type": "string",
            "example": "Validation Failed"
          },
          "detail": {
            "type": "string",
            "example": "Name cannot be blank"
          },
          "source": {
            "$ref": "#/components/schemas/Core_Errors_Error_Source"
          },
          "meta": {
            "type": "object",
            "properties": {},
            "description": "Non-standard meta information about this error."
          }
        }
      },
      "Core_Errors_Error_Source": {
        "type": "object",
        "properties": {
          "pointer": {
            "type": "string",
            "description": "The value in the request document that caused the error.",
            "example": "/data/attributes/name"
          },
          "parameter": {
            "type": "string",
            "description": "The URI query paramter that caused the error.",
            "example": "include"
          }
        }
      },
      "Core_V202401_Entities_Partners_Tag": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this tag",
            "format": "int32",
            "example": 420
          },
          "slug": {
            "type": "string",
            "description": "Unique slug for this tag",
            "example": "uplifted"
          },
          "name": {
            "type": "string",
            "description": "Name of this tag",
            "example": "Uplifted"
          },
          "published": {
            "type": "boolean",
            "description": "Whether or not this tag is published"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this tag was last updated",
            "example": "2023-04-20T16:20:00Z"
          },
          "group": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_TagGroup"
          }
        },
        "description": "Core_V202401_Entities_Partners_Tag model"
      },
      "Core_V202401_Entities_Partners_TagGroup": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this tag group",
            "format": "int32",
            "example": 420
          },
          "name": {
            "type": "string",
            "description": "Name of this tag group",
            "example": "Effects"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this tag group was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        }
      },
      "Core_V202401_Entities_Partners_Strain": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this strain",
            "format": "int32",
            "example": 420
          },
          "name": {
            "type": "string",
            "description": "Name of this strain",
            "example": "Duban Poison"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this strain was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        },
        "description": "Core_V202401_Entities_Partners_Strain model"
      },
      "Core_V202401_Entities_Price": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "string",
            "description": "The currency value, in whole units (e.g. dollars)",
            "example": "35.00"
          },
          "currency": {
            "type": "string",
            "description": "An ISO currency code",
            "example": "USD",
            "enum": [
              "USD"
            ]
          }
        }
      },
      "Core_V202401_Entities_Partners_Category": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this category",
            "format": "int32",
            "example": 710
          },
          "parent_id": {
            "type": "integer",
            "description": "Unique ID for this category's parent; category is the root when null",
            "format": "int32",
            "example": 420
          },
          "slug": {
            "type": "string",
            "description": "Unique slug for this category",
            "example": "live-resin"
          },
          "name": {
            "type": "string",
            "description": "Name of this category",
            "example": "Live Resin"
          },
          "published": {
            "type": "boolean",
            "description": "Whether or not this category is published"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this category was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        },
        "description": "Core_V202401_Entities_Partners_Category model"
      },
      "Core_V202401_Entities_Partners_Measurement_Cannabinoid": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this cannabinoid",
            "format": "int32",
            "example": 420
          },
          "slug": {
            "type": "string",
            "description": "Unique slug for this cannabinoid; may be used in lieu of `id` when modifying cannabinoids",
            "example": "thca"
          },
          "symbol": {
            "type": "string",
            "description": "The abbreviation for this cannabinoid",
            "example": "THCA"
          },
          "name": {
            "type": "string",
            "description": "The full name for this cannabinoid",
            "example": "Tetrahydrocannabinolic Acid"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp when either the percentage or milligrams was modified",
            "example": "2023-04-20T16:20:00Z"
          },
          "milligrams": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Range"
          },
          "percent": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Range"
          }
        }
      },
      "Core_V202401_Entities_Partners_Measurement_Range": {
        "type": "object",
        "properties": {
          "min": {
            "type": "number",
            "description": "Minimum value for this measurement; can be the same as `max`",
            "format": "float",
            "example": 23
          },
          "max": {
            "type": "number",
            "description": "Maximum value for this measurement; can be the same as `min`",
            "format": "float",
            "example": 24.5
          }
        }
      },
      "Core_V202401_Entities_Partners_Measurement_Terpene": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this terpene",
            "format": "int32",
            "example": 420
          },
          "slug": {
            "type": "string",
            "description": "Unique slug for this terpene; may be used in lieu of `id` when modifying terpenes",
            "example": "limonene"
          },
          "symbol": {
            "type": "string",
            "description": "The abbreviation for this terpene",
            "example": "LIM"
          },
          "name": {
            "type": "string",
            "description": "The full name for this terpene",
            "example": "Limonene"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp when either the percentage or milligrams was modified",
            "example": "2023-04-20T16:20:00Z"
          },
          "milligrams": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Range"
          },
          "percent": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Range"
          }
        }
      },
      "Core_V202401_Entities_Weight": {
        "type": "object",
        "properties": {
          "value": {
            "type": "number",
            "description": "Decimal value of the weight",
            "format": "double",
            "example": 3.5
          },
          "unit": {
            "type": "string",
            "description": "The unit of measurement",
            "example": "g",
            "enum": [
              "g",
              "kg",
              "lb",
              "mg",
              "oz"
            ]
          }
        }
      },
      "Core_V202401_Entities_Partners_MenuItem": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this menu item",
            "format": "int32",
            "example": 420
          },
          "external_id": {
            "type": "string",
            "description": "Unique external identifier for this menu item",
            "example": "710"
          },
          "external_product_id": {
            "type": "string",
            "description": "External product identifier for this menu item; does not need to be unique",
            "example": "23"
          },
          "name": {
            "type": "string",
            "description": "Name of this menu item",
            "example": "Wake and Bake"
          },
          "description": {
            "type": "string",
            "description": "Description of this menu item",
            "example": "Our \"Wake and Bake\" cannabis flower boasts a well-balanced cannabinoid profile, carefully cultivated to offer both newcomers and seasoned enthusiasts an enjoyable experience"
          },
          "image_url": {
            "type": "string",
            "description": "Image for this menu item",
            "example": "https://images.weedmaps.com/static/placeholders/weedmaps-logo.jpg"
          },
          "cart_quantity_multiplier": {
            "type": "number",
            "description": "The quantity that should be sent via Orders API for every one of these items in the cart; defaults to `1` when not provided on an item without variants",
            "format": "float",
            "example": 1
          },
          "inventory_quantity": {
            "type": "integer",
            "description": "The amount of this menu item available for purchase",
            "format": "int32",
            "example": 9
          },
          "items_per_pack": {
            "type": "integer",
            "description": "Items per pack for this menu item",
            "format": "int32",
            "example": 1
          },
          "published": {
            "type": "boolean",
            "description": "Whether or not this menu item is published"
          },
          "online_orderable": {
            "type": "boolean",
            "description": "Whether or not this menu item can be purchased online"
          },
          "license_type": {
            "type": "string",
            "description": "The license requirements to purchase this menu item",
            "example": "recreational",
            "default": "recreational"
          },
          "genetics": {
            "type": "string",
            "description": "The genetics classification of this menu item",
            "example": "sativa"
          },
          "brand_name": {
            "type": "string",
            "description": "The custom brand name for this menu item; will be used to automatically link exact `brand`"
          },
          "brand": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_MenuItem_Brand"
          },
          "product": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_MenuItem_Product"
          },
          "strain": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Strain"
          },
          "categories": {
            "type": "array",
            "description": "List of menu item categories; these may be removed/enriched by WM through the associated product",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Category"
            }
          },
          "cannabinoids": {
            "type": "array",
            "description": "Measurement data for cannabinoids on this item",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Cannabinoid"
            }
          },
          "terpenes": {
            "type": "array",
            "description": "Measurement data for terpenes on this item",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Measurement_Terpene"
            }
          },
          "tags": {
            "type": "array",
            "description": "List of menu item tags; these may be enriched by WM through the associated product and/or strain",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Tag"
            }
          },
          "compliance": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Compliance"
          },
          "price": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Price"
          },
          "variants": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_MenuItemVariant"
            }
          },
          "price_rules": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Core_V202401_Entities_Partners_MenuItem_PriceRule"
            }
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this menu item was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        },
        "description": "Core_V202401_Entities_Partners_MenuItem model"
      },
      "Core_V202401_Entities_Partners_MenuItem_Brand": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this brand",
            "format": "int32",
            "example": 420
          },
          "name": {
            "type": "string",
            "description": "Name of this brand",
            "example": "WM Cannabis"
          },
          "published": {
            "type": "boolean",
            "description": "Whether or not this brand is published"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this brand was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        }
      },
      "Core_V202401_Entities_Partners_MenuItem_Product": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this product",
            "format": "int32",
            "example": 420
          },
          "name": {
            "type": "string",
            "description": "Name of this product",
            "example": "Wake and Bake"
          },
          "published": {
            "type": "boolean",
            "description": "Whether or not this product is published"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this product was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        }
      },
      "Core_V202401_Entities_Partners_Compliance": {
        "type": "object",
        "properties": {
          "precalculated": {
            "type": "boolean",
            "description": "Whether or not the `weight` compliance value is approximated or exact"
          },
          "weight": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Weight"
          }
        }
      },
      "Core_V202401_Entities_Partners_MenuItemVariant": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this variant",
            "format": "int32",
            "example": 420
          },
          "external_id": {
            "type": "string",
            "description": "External identifier for this variant; does not have to be unique to the parent menu item",
            "example": "710"
          },
          "inventory_quantity": {
            "type": "integer",
            "description": "The amount of this variant available for purchase",
            "format": "int32",
            "example": 9
          },
          "cart_quantity_multiplier": {
            "type": "number",
            "description": "The quantity that should be sent via Orders API for every one of these variants in the cart; when not provided, it defaults to the weight in grams.",
            "format": "float",
            "example": 1
          },
          "compliance": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Partners_Compliance"
          },
          "price": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Price"
          },
          "weight": {
            "$ref": "#/components/schemas/Core_V202401_Entities_Weight"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this menu item variant was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        }
      },
      "Core_V202401_Entities_Partners_MenuItem_PriceRule": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique ID for this price rule",
            "format": "int32",
            "example": 420
          },
          "adjustment_type": {
            "type": "string",
            "description": "The type of adjustment being made by this price rule",
            "example": "percentage",
            "enum": [
              "percentage",
              "fixed_amount"
            ]
          },
          "adjustment_value": {
            "type": "integer",
            "description": "The amount of `adjustment_type` to reduce as part of this price rule",
            "format": "int32",
            "example": 15
          },
          "active": {
            "type": "boolean",
            "description": "Whether or not this price rule is active",
            "example": false
          },
          "expired": {
            "type": "boolean",
            "description": "Whether or not this price rule has expired",
            "example": true
          },
          "expires_at": {
            "type": "string",
            "description": "The timestamp this price rule will expire",
            "example": "2023-07-10T19:10:00Z"
          },
          "updated_at": {
            "type": "string",
            "description": "The timestamp this price rule was last updated",
            "example": "2023-04-20T16:20:00Z"
          }
        }
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "description": "Authenticate with your username and password",
        "flows": {
          "password": {
            "tokenUrl": "https://weedmaps.com/oauth/token",
            "scopes": {
              "public": "Read access to public endpoints",
              "menu_items": "Manage menu items",
              "user": "User specific access",
              "affinities:read": "View user affinities data",
              "brands:read": "View brands on Weedmaps",
              "deal_regions:read": "View deal regions",
              "discount_codes:read": "View discount codes",
              "listings:read": "View listing details",
              "listing_deal_dates:read": "View listing deal dates",
              "menu_integrations:read": "View menu integrations",
              "menu_integrations:credentials:read": "View credentials for menu integrations",
              "menus:read": "View menu data for listings",
              "menus:write": "Manage listing menus",
              "orders:eta:write": "Create and update order eta",
              "preferred_organizations:read": "View PreferredOrganizations",
              "preferred_organizations:write": "Create, update and delete PreferredOrganizations",
              "price_rule_redemptions:write": "Create and delete price rule redemptions",
              "products:classifier:read": "Get machine learning product suggestions for requested strings",
              "products:read": "View the product catalog",
              "products:reviews:read": "View product reviews",
              "taxonomy:read": "View and search for categories and tags in the Weedmaps taxonomy",
              "verified_retailers:write": "Create, update and delete VerifiedRetailers"
            }
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```